import { QueryResource } from '../../../composables';
import { LabConflictsConflict } from 'itlab-functions';
type __VLS_Props = {
    conflict: LabConflictsConflict;
    resources?: (string | [string, QueryResource])[];
};
declare const __VLS_export: import('vue').DefineComponent<__VLS_Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    fetch: () => any;
}, string, import('vue').PublicProps, Readonly<__VLS_Props> & Readonly<{
    onFetch?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
